
public class ExperimentConfiguration {
   public ExperimentConfiguration () {       
	   //Hook
	   //Original: FixedHook hook = new FixedHook(hight); 
		//Hook posicion[x,y]=[0,3][m]
		Vector2D pos_hook0 = new Vector2D(0f, 3f);
		FixedHook hook = new FixedHook(pos_hook0); 
		//Blocks
      //Original: Block block = new Block(mass[kg], hight[m], speed[m/s]);
		float mass = 1f; //Ambas masas de 1 [kg]
      float speed = 0.00f; //Ambos En reposo
		Vector2D speed_block0 = new Vector2D(speed, speed);
		//Bloque 1	posicion[x,y]=[0,2][m]
		Vector2D pos_block0 = new Vector2D(0f, 2f);
		Block block1 = new Block(mass, pos_block0, speed_block0); 
		//Bloque 2	posicion[x,y]=[0,0.2][m]
		//pos_block0 = new Vector2D(0f, 0.2f);
		//Block block2 = new Block(mass, pos_block0, speed_block0); 		
		//Springs
      float restLength = 1.5f;   // [m]
      float stiffness = 10f;    // [N/m]
      Spring spring1 = new Spring (restLength, stiffness); 
      //Spring spring2 = new Spring (restLength, stiffness); 
		
		//Experimento
      spring1.attachAEnd(hook);    
      spring1.attachBEnd(block1);
		//spring2.attachAEnd(block1);    
      //spring2.attachBEnd(block2);
		
		elements = new PhysicsElement[3];
      elements[0] = hook;
      elements[1] = spring1;
 		elements[2] = block1;
   }
	
   public void addItselfTo (MyWorld world) {
      for ( PhysicsElement e: elements )
         world.addElement (e);
   }
   private PhysicsElement[] elements;
}    

