import java.lang.Math;

public class Vector2D {
	private double x,y;
	
	//Constructor de Vector2D
	public Vector2D (double x, double y){
		this.x = x;
		this.y = y;
	}
	
	public void setCoordenadas(double x, double y){
		this.x = x;
		this.y = y;
	}
	
	public double getX(){
		return x;
	}
	
	public double getY(){
		return y;
	}
	public void sumaVectorial(Vector2D vector1, Vector2D vector2){
		this.x = vector1.getX() + vector2.getX();
		this.y = vector1.getY() + vector2.getY();
	}
	public void restaVectorial(Vector2D vector1, Vector2D vector2){
		this.x = vector1.getX() - vector2.getX();
		this.y = vector1.getY() - vector2.getY();
	}
	public static double distanciaVectorial(Vector2D vector1, Vector2D vector2){
		return Math.sqrt(Math.pow(vector1.getX()-vector2.getX(),2)+Math.pow(vector1.getY()-vector2.getY(),2));
	}
	public static double anguloVectorial(Vector2D vector1, Vector2D vector2){
		return Math.atan2(vector1.getY()-vector2.getY(),vector1.getX()-vector2.getX());
	}
	public static Vector2D largoResorte(Vector2D vector, float largoReal) {
		double angulo = Math.atan2(vector.getY(),vector.getX());
		Vector2D auxVector = new Vector2D(largoReal * Math.cos(angulo), largoReal * Math.sin(angulo));
		auxVector.sumaVectorial(auxVector,vector);
		return auxVector;
	}


}
